//
//  AGShortcut.h
//  AGShortcutPickerView
//
//  Created by Seth Willits on 9/30/06.
//  Copyright 2006 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


CFStringRef LiDTS_CopyTranslateHotKey(UInt16 virtualKeyCode);

@interface AGShortcut : NSObject {
	NSString * _name;
	NSUInteger _modifiers;
	NSUInteger _keyCode;
	NSString * _characters;
}

+ (BOOL)isFunctionKey:(NSUInteger)keyCode characters:(NSString *)characters;

+ (id)shortcutFromDictionary:(NSDictionary *)dict;
+ (id)shortcutFromEvent:(NSEvent *)event withName:(NSString *)name;
+ (id)shortcutWithName:(NSString *)name modifiers:(NSUInteger)mods keyCode:(NSUInteger)code characters:(NSString *)chars;
- (id)initWithName:(NSString *)name modifiers:(NSUInteger)mods keyCode:(NSUInteger)code characters:(NSString *)chars;
- (NSDictionary *)dictionary;
- (void)setName:(NSString *)name;
- (NSString *)name;
- (NSUInteger)modifiers;
- (NSUInteger)keyCode;
- (NSString *)characters;
- (NSString *)displayString;

@end

