//
//  NSWindowAdditions.h
//  Araelium Edit 2.1
//
//  Created by Seth Willits on 1/1/06.
//  Copyright 2006 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSWindow (AraeliumAdditions)

- (CGFloat)toolbarHeight;
- (void)resizeForContentSize:(NSSize)size;
- (void)resizeForContentSize:(NSSize)size animate:(BOOL)animate;

@end


#if MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_5
#if !defined(NSWindowCollectionBehaviorCanJoinAllSpaces)
	#define NSWindowCollectionBehaviorCanJoinAllSpaces (1 << 0)
	#define NSWindowCollectionBehaviorMoveToActiveSpace (1 << 1)
#endif

// Simply defined so 10.4 apps can use respondsToSelector: and THEN use these methods
@interface NSWindow (InLeopard)
- (void)setCollectionBehavior:(NSInteger)behavior;
- (NSInteger)collectionBehavior;
@end
#endif


@interface NSWindow (NSWindow_Theme)
- (void)_setShowOpaqueGrowBox:(BOOL)fp8;
@end

